FROM registry.cn-hangzhou.aliyuncs.com/hyxc/golang:alpine-1.18 as builder

WORKDIR /go/src/miniapp
COPY . .

RUN go env -w GO111MODULE=on \
    && go env -w GOPROXY=https://goproxy.cn,direct \
    && go env -w CGO_ENABLED=0 \
    && go env \
    && go mod tidy \
    && go build -o server .

FROM registry.cn-hangzhou.aliyuncs.com/hyxc/alpine:3.13.6 as runner
WORKDIR /go/src/miniapp

COPY --from=0 /go/src/miniapp/server ./
COPY --from=0 /go/src/miniapp/resource ./resource/
COPY --from=0 /go/src/miniapp/docker/config.docker.yaml ./docker/
COPY --from=0 /go/src/miniapp/docker ./

RUN /bin/cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime RUN echo "Asia/Shanghai" > /etc/timezone

EXPOSE 8888
ENTRYPOINT ./server -c docker/config.docker.yaml
